Skip to main content
GET
/
v1
/
crm
/
partners
/
{partnerId}
/
documents
/
{documentId}
Get a Document
curl --request GET \
  --url https://api.example.com/v1/crm/partners/{partnerId}/documents/{documentId} \
  --header 'Authorization: Bearer <token>'
{
  "createdAt": "<string>",
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "path": "<string>",
  "size": 123,
  "visibility": [],
  "updatedAt": "<string>",
  "updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "documentTypeId": 123,
  "thumbnail": "<string>",
  "url": "<string>",
  "documentType": {
    "id": 123,
    "name": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Enter token in following format: Bearer

Path Parameters

partnerId
string
required
documentId
string
required

Response

The partner document corresponding to the primary identifier.

createdAt
string
required
createdBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
name
string
required
Maximum string length: 255
path
string
required
Maximum string length: 100
size
number
required
visibility
enum<string>[]
required
Available options:
partner,
merchant,
risk,
agent,
bank
updatedAt
string
required
updatedBy
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
description
string | null
Maximum string length: 250
documentTypeId
number | null
thumbnail
string | null
url
string
documentType
object